alias(1)

NAME
alias - alias - create a function

alias - create a function

  Synopsis

alias NAME DEFINITION
alias NAME=DEFINITION

  Description
alias is a simple wrapper for the function builtin. It exists for backwards compatibility with Posix shells. For other uses, it is recommended to define a function.

fish does not keep track of which functions have been defined using alias. They must be erased using functions -e.

•   NAME is the name of the alias

•   DEFINITION is the actual command to execute. The string ' $argv' will be appended.

You cannot create an alias to a function with the same name.

  Example
The following code will create rmi, which runs rm with additional arguments on every invocation.

alias rmi 'rm -i'

This is equivalent to entering the following function:

function rmi
    rm -i $argv
end